package com.ejie.ab79.model;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import java.util.Date;

/**
 * VReateDocumentos  
 * 
 *  
 */

public class VReateDocumentos implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	// Clave compuesta
	private Integer idDocumento;
	private Integer idDocumentoAb61;
	private Integer idEstablecimiento;
	private String identificadorEstablecimiento;
	private String nombreDocumento;
	private Integer idTipoPlantilla;
	private String descPlantillaCastellano;
	private String descPlantillaEuskera;
	private Date fechaAportadoPid;
	private String oid;
	private String repositorio;

	/**
	 * Method 'VReateDocumentos'.
	 */
	public VReateDocumentos() {
	}

	/**
	 * Method 'VReateDocumentos'.
	 * 
	 * @param idDocumento
	 *            Integer
	 * @param idDocumentoAb61
	 *            Integer
	 * @param idEstablecimiento
	 *            Integer
	 * @param identificadorEstablecimiento
	 *            String
	 * @param nombreDocumento
	 *            String
	 * @param idTipoPlantilla
	 *            Integer
	 * @param descPlantillaCastellano
	 *            String
	 * @param descPlantillaEuskera
	 *            String
	 * @param fechaAportadoPid
	 *            Date
	 * @param oid
	 *            String
	 * @param repositorio
	 *            String
	 */
	public VReateDocumentos(Integer idDocumento, Integer idDocumentoAb61, Integer idEstablecimiento,
			String identificadorEstablecimiento, String nombreDocumento, Integer idTipoPlantilla,
			String descPlantillaCastellano, String descPlantillaEuskera, Date fechaAportadoPid, String oid,
			String repositorio) {

		this.idDocumento = idDocumento;
		this.idDocumentoAb61 = idDocumentoAb61;
		this.idEstablecimiento = idEstablecimiento;
		this.identificadorEstablecimiento = identificadorEstablecimiento;
		this.nombreDocumento = nombreDocumento;
		this.idTipoPlantilla = idTipoPlantilla;
		this.descPlantillaCastellano = descPlantillaCastellano;
		this.descPlantillaEuskera = descPlantillaEuskera;
		this.fechaAportadoPid = fechaAportadoPid;
		this.oid = oid;
		this.repositorio = repositorio;
	}

	public Integer getIdDocumento() {
		return idDocumento;
	}

	public void setIdDocumento(Integer idDocumento) {
		this.idDocumento = idDocumento;
	}

	public Integer getIdDocumentoAb61() {
		return idDocumentoAb61;
	}

	public void setIdDocumentoAb61(Integer idDocumentoAb61) {
		this.idDocumentoAb61 = idDocumentoAb61;
	}

	public Integer getIdEstablecimiento() {
		return idEstablecimiento;
	}

	public void setIdEstablecimiento(Integer idEstablecimiento) {
		this.idEstablecimiento = idEstablecimiento;
	}

	public String getIdentificadorEstablecimiento() {
		return identificadorEstablecimiento;
	}

	public void setIdentificadorEstablecimiento(String identificadorEstablecimiento) {
		this.identificadorEstablecimiento = identificadorEstablecimiento;
	}

	public String getNombreDocumento() {
		return nombreDocumento;
	}

	public void setNombreDocumento(String nombreDocumento) {
		this.nombreDocumento = nombreDocumento;
	}

	public Integer getIdTipoPlantilla() {
		return idTipoPlantilla;
	}

	public void setIdTipoPlantilla(Integer idTipoPlantilla) {
		this.idTipoPlantilla = idTipoPlantilla;
	}

	public String getDescPlantillaCastellano() {
		return descPlantillaCastellano;
	}

	public void setDescPlantillaCastellano(String descPlantillaCastellano) {
		this.descPlantillaCastellano = descPlantillaCastellano;
	}

	public String getDescPlantillaEuskera() {
		return descPlantillaEuskera;
	}

	public void setDescPlantillaEuskera(String descPlantillaEuskera) {
		this.descPlantillaEuskera = descPlantillaEuskera;
	}

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaAportadoPid() {
		return fechaAportadoPid;
	}

	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaAportadoPid(Date fechaAportadoPid) {
		this.fechaAportadoPid = fechaAportadoPid;
	}

	public String getOid() {
		return oid;
	}

	public void setOid(String oid) {
		this.oid = oid;
	}

	public String getRepositorio() {
		return repositorio;
	}

	public void setRepositorio(String repositorio) {
		this.repositorio = repositorio;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		// Clave compuesta

		result.append("[ idDocumento: ").append(this.idDocumento).append(" ]");

		result.append(", [ idDocumentoAb61: ").append(this.idDocumentoAb61).append(" ]");

		result.append(", [ idEstablecimiento: ").append(this.idEstablecimiento).append(" ]");

		result.append(", [ identificadorEstablecimiento: ").append(this.identificadorEstablecimiento).append(" ]");

		result.append(", [ nombreDocumento: ").append(this.nombreDocumento).append(" ]");

		result.append(", [ idTipoPlantilla: ").append(this.idTipoPlantilla).append(" ]");

		result.append(", [ descPlantillaCastellano: ").append(this.descPlantillaCastellano).append(" ]");

		result.append(", [ descPlantillaEuskera: ").append(this.descPlantillaEuskera).append(" ]");

		result.append(", [ fechaAportadoPid: ").append(this.fechaAportadoPid).append(" ]");

		result.append(", [ oid: ").append(this.oid).append(" ]");

		result.append(", [ repositorio: ").append(this.repositorio).append(" ]");
		result.append("}");
		return result.toString();
	}

}
